summaryrefslogtreecommitdiffstats
path: root/scripts/ci/verify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/ci/verify.sh')
-rwxr-xr-xscripts/ci/verify.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/ci/verify.sh b/scripts/ci/verify.sh
new file mode 100755
index 0000000..ed698b4
--- /dev/null
+++ b/scripts/ci/verify.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#set -xe -o pipefail
+echo "======================================"
+echo executing $0
+echo
+# Check if we are running on Centos or Ubuntu
+if [ -f /etc/lsb-release ];then
+ cat /etc/lsb-release
+ echo "======================================"
+ echo "Ubuntu version: "
+ . /etc/lsb-release
+ sudo apt-get install rpm
+ echo "Ubuntu is not supported for now."
+ exit 0
+elif [ -f /etc/redhat-release ];then
+ echo "======================================"
+ echo "redhat release version: "
+ cat /etc/redhat-release
+ echo
+fi
+export BASE_DIR=$(dirname $0)/../rpm_dpdk
+
+echo "======================================"
+echo "BASE_DIR: ${BASE_DIR}"
+echo
+if [ -d ${BASE_DIR}/build ]; then
+ cd ${BASE_DIR}/build/
+ if [ -e build.sh ]; then
+ ./build.sh
+ fi
+fi